/* HiReserveList */

#import <Cocoa/Cocoa.h>

@class HiControler;

@interface HiReserveList : NSObject
{
	HiControler	*controler;
	
	NSMutableArray *reserveList;
	NSMutableArray *timers;
	NSMutableArray *renewFlags;
	NSMutableArray *lastTimers;
}

- (void)saveUserDefaults;
- (void)initReserveList;
- (id)initWithTimers:(NSMutableArray *)inTimers;
- (void)freeTimers;
- (NSMutableArray *)reserveList;
- (NSMutableArray *)timers;
- (void)sortTimers;
- (NSMutableArray *)renewFlags;
- (NSMutableArray *)lastTimers;

@end
